/*
		Copyright (C) 2013 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

		This library is free software; you can redistribute it and/or
		modify it under the terms of the GNU Lesser General Public
		License as published by the Free Software Foundation; either
		version 2.1 of the License, or (at your option) any later version.

		This library is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
		Lesser General Public License for more details.

		You should have received a copy of the GNU Lesser General Public
		License along with this library; if not, write to the Free Software
		Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
		MA 02110-1301  USA.
*/

#ifndef ECHARTPIEQML_H
#define ECHARTPIEQML_H

#include "echartbaseqml.h"
#include "echarts.h"

class EChartPie;

class E_CHARTS_EXPORT EChartPieQml : public EChartBaseQml
{
	Q_OBJECT
	Q_PROPERTY(bool percents READ percents WRITE setPercents)
	public:
#if QT_VERSION >= 0x050000
		EChartPieQml(QQuickItem *parent = NULL);
#else
		EChartPieQml(QGraphicsItem *parent = NULL);
#endif

		void setPercents(bool percent);
		bool percents() const;
		
		Q_INVOKABLE void addPie(double value, const QString label, QColor color = QColor());

	private:
		EChartPie *eChartPie;
};

#endif // ECHARTPIEQML_H
