/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/


#ifndef ESETTINGSDIALOG_H
#define ESETTINGSDIALOG_H

#include "eglobal.h"
#include "edialog.h"

namespace Ui
{
  class ESettingsDialog;
}

class ESettingsModel;

#include <QModelIndex>

class QTreeView;
class QStackedWidget;
class QLabel;

/**
	* @brief Used by EMainWindow::editSettings(ESettingsModel*) to display the settings.
	*
	* Deletes the given ESettingsModel on close. If the model contains only one item,
	* the QTreeView is not shown.
	* @todo Improve default geometry.
	*/
class E_CORE_EXPORT ESettingsDialog : public EDialog {
	Q_OBJECT
	public:
		ESettingsDialog(ESettingsModel *model, QWidget* parent = 0, Qt::WindowFlags fl = 0 );
		~ESettingsDialog();

	public slots:
		int exec();

	private slots:
		void itemSelected(QModelIndex index);
		bool saveSettings();
		void saveQuit();
		void cancel();
		void setError(QString msg);

	protected:
		void closeEvent ( QCloseEvent* event );

	private:
		ESettingsModel *model;
		QTreeView *view;
		QStackedWidget *stack;
		QLabel *errorLabel;
		Ui::ESettingsDialog *m_ui;
		
};

#endif // ESETTINGSDIALOG_H

