/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#ifndef ESETUPWIZARDDB_H
#define ESETUPWIZARDDB_H

#include "eglobal.h"
#include "esetupwizardobject.h"

class ESqlInit;

#include <QPointer>

class E_CORE_EXPORT ESetupWizardDB : public ESetupWizardObject
{
  Q_OBJECT
  public:
		/**
			* You can give a list of supported drivers with argument @p drivers. If empty, QSqlDatabase::drivers()
			* is used.
			* @see EDBSettings
			* @note This object takes control over the given @p dbInit, therefore it is automatically deleted!
			*/
    ESetupWizardDB ( QString newTitle, ESqlInit *dbInit, QStringList drivers = QStringList(), QObject *parent = 0 );

    bool needed();
    bool finish ( ESetupWizardWidget *finishWidget );
};

#endif // ESETUPWIZARDDB_H
