/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#ifndef ESETUPWIZARDWIDGET_H
#define ESETUPWIZARDWIDGET_H

#include "eglobal.h"
#include "esettingswidget.h"

class ESetupWizardObject;

/**
	* @brief Base class for widgets, which should be used at the ESetupWizard.
	*
	* Since they are ESettingsWidget, they can also be used in the ESettingsDialog.
	* @note If all following ESetupWizardWidgets should be reloaded after this widget,
	*    emit reloadSettings() somewhere. E.g. the ESetupWizardDB is doing this, because
	*    the database settings may effect other widgets too.
	*/
class E_CORE_EXPORT ESetupWizardWidget : public ESettingsWidget
{
  Q_OBJECT
  public:
    ESetupWizardWidget ( ESetupWizardObject *newObject, QWidget *parent = 0, Qt::WindowFlags flags = 0 );
    virtual ~ESetupWizardWidget(){};
    ESetupWizardObject *wizardObject();

  public slots:
    virtual bool finish();
    virtual bool saveSettings(QString &error) = 0;

  private:
    ESetupWizardObject *parentObject;
};

#endif // ESETUPWIZARDWIDGET_H
