/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/


#ifndef EUPDATENOTICESETTINGS_H
#define EUPDATENOTICESETTINGS_H

#include "eglobal.h"
#include "esettingswidget.h"

namespace Ui {
	class EUpdateNoticeSettings;
}

/**
	* @brief ESettingsWidget of EUpdateNoticeDialog
	* 
	* Allows the user to configure the behaviour of the EUpdateNoticeDialog.
	* You can include this widget in your settings dialog. It is also contained
	* within the designer plugin, so you can use the Qt Designer to integrate it.
	* 
	* @see EUpdateNoticeDialog
	*/
class E_CORE_EXPORT EUpdateNoticeSettings : public ESettingsWidget
{
	Q_OBJECT
	public:
		EUpdateNoticeSettings(QWidget *parent = 0, Qt::WindowFlags flags = 0);
		
	public slots:
    bool saveSettings(QString& error);
		
	private:
		Ui::EUpdateNoticeSettings *ui;
};

#endif // EUPDATENOTICESETTINGS_H
