/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#ifndef TESTDESIGNERPLUGINS_H
#define TESTDESIGNERPLUGINS_H

#include "etesting.h"

#include <QString>

class QDesignerCustomWidgetCollectionInterface;
class QDesignerCustomWidgetInterface;

/**
	* @brief Loads and tests QDesignerCustomWidgetCollections or QDesignerCustomWidgets.
	* 
	* The tests make sure, that the designer widget (collection) is loadable and
	* meat some basic quality requirements.
	*/
class E_TESTING_EXPORT TestDesignerPlugins
{
	public:
		/**
			* @brief This function loads a widget collection and tests all widgets inside with help of testPlugin().
			*/
		void testPlugins(QString dir);
		/**
			* @brief This function tests a single designer widget.
			*/
		void testPlugin(QDesignerCustomWidgetInterface* plugin);
};

#endif // TESTDESIGNERPLUGINS_H
